a {
    text-decoration: none;
    outline: none;
    color: #333;
}
.form-group{
    margin-top:6px;
    background-color: #fff;
    font-size:16px;
}
.input-group{
    display: flex;
    justify-content: space-between;
    padding:10px 15px;
    align-items: center;
    border-bottom: 1px solid #eee;
}

.input-group input[type=text]{
    font-size: 16px;
    text-align: right;
    padding:2px 0;
}
.input-group select {
    font-size: 16px;
    padding:1px;
    border:none
}
.custom-switch,
.arrow-right,
.custom-number-pick {
    display: flex;
    align-items: center;
    cursor: pointer;
    font-size:14px;
}

.custom-number-pick .reduce {
    width: 20px;
    height: 20px;
    display: inline-block;
    background: url(../images/uroa-jq.png) no-repeat;
    background-size: 100%;
    margin-right: 2px;
}
.custom-number-pick .plus {
    width: 20px;
    height: 20px;
    display: inline-block;
    background: url(../images/uroa-jts.png) no-repeat;
    background-size: 100%;
    margin-left: 2px;
}
.custom-switch input[type=radio],
.custom-checkbox input[type=checkbox],
.custom-checkbox input[type=radio]{
    display: none;
}

.custom-switch label:first-child{
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
    overflow: hidden;
}
.custom-switch label:last-child {
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
    overflow: hidden;
}
.custom-switch input[type=radio]+span {
    padding:5px 10px;
    border: 1px solid #eee;
    color:#666;
    background: #eee;
    display: inline-block;
    text-align: center;
    cursor: pointer;
}
.custom-switch input[type=radio]:checked+span {
    background: #E93524;
    border: 1px solid #E93524;
    color:#fff;
}
.custom-checkbox{
    display: flex;
    flex-wrap: wrap;
}
.custom-checkbox label span{
    display: inline-flex;
    align-items: center;
    margin-left: 10px;
}
.custom-checkbox input[type=checkbox]+span::before,
.custom-checkbox input[type=radio]+span::before{
    cursor: pointer;
    content: '';
    width: 18px;
    height: 18px;
    display: inline-block;
    background: url(../images/ura-wxz.png) no-repeat;
    background-size: 100%;
    margin-right: 2px;
}
.custom-checkbox input[type=checkbox]:checked+span::before,
.custom-checkbox input[type=radio]:checked+span::before {
    background: url(../images/q-order_17.png) no-repeat;
    background-size: 100%;
}

.arrow-right::after{
    content: '';
    width: 8.5px;
    height: 15px;
    display: inline-block;
    background: url(../images/ur-jrig.png) no-repeat;
    background-size: 100%;
    margin-left:5px;
}

.safeguard a {
    display: block;
    color: #E93524;
    display: flex;
    align-items: center;
}
.safeguard a::before {
    content: '';
    width: 18px;
    height: 18px;
    display: inline-block;
    background: url(/statics/wxapp_wifi/images/shopping/axa-icon.png) no-repeat;
    background-size: 100%;
    margin-right: 2px;
}
.safeguard p {
    color: #666;
    font-size: 14px;
}
.safeguard-product {
    width: 100%;
    text-align: center;
    display: flex;
    justify-content: space-around;
}

.safeguard-product label:has(.safeguard-product-item) {
    border:2px solid #eee;
    padding:4px 8px;
    border-radius: 12px;
    font-size: 14px;
    color:#633817;
    cursor: pointer;
    margin: 0 5px;
}

.safeguard-product-item span {
    display: block;
    font-size: 12px;
}

.safeguard-product label:has(input[type=radio]:checked){
    background-color: #FFDBD890;
    border:2px solid #E93524
}
.safeguard-product-item span:first-child {
    font-size: 14px;
    line-height: 28px;
    font-weight: bold;
}
.safeguard-product-item span:last-child{
    font-size: 14px;
    border-top: 1px dashed #999;
    padding-top:5px;
    margin-top:5px;
    color: #E93524;
}
.safeguard-persons {
    width:100%;
}
.safeguard-persons li {
    line-height: 36px;
    font-size: 14px;
    display: flex;
    justify-content: space-between;
    text-align: left;
    color:#333;
    border-bottom: 1px dashed #ccc;
}
.safeguard-persons li input[type=text] {
    font-size: 14px;
    width: 100%;
    text-align: left;
    padding:0;
}
.safeguard-persons li span:first-child {
    width: 15%;
}
.safeguard-persons li span:last-child {
    width: 50%;
}
.safeguard-persons li span:nth-last-child(2){
    width:35%;
}
.safeguard-persons li:first-child {
    font-size:16px;
    color: #000;
}
.safeguard-persons li:first-child a {
    font-size: 14px;
    color: #007aff;
}

.form-footer {
    background-color: #fff;
    height: 70px;
    position: fixed;
    bottom: 0;
    width: 100%;
    max-width: 640px;
    z-index:102;
}
.form-footer-content {
    padding:10px 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.btn-primary {
    font-size: 16px;
    color: #fff;
    padding: 8px 16px;
    display: inline-block;
    background-color: #E93524;
    border-radius: 16px;
    text-align: center;
    border:none
}
.amount::before{
    content: '￥';
}
.order-total-amount{
    display: block;
    font-size: 20px;
    font-weight: bold;
    color: #E93524;
}
.show-amount-detail{
    display: flex;
    align-items: center;
}
.show-amount-detail::after{
    content: '';
    width: 15px;
    height: 8.5px;
    display: inline-block;
    background: url(../images/q-order_21.png) no-repeat;
    background-size: 100%;
    margin-left: 5px;
}

.modal {
    position: fixed;
    bottom: -0;
    width: 100%;
    max-width: 640px;
    z-index: 200;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    overflow: hidden;
}

.modal-title {
    text-align: center;
    padding: 15px 10px;
    font-size:16px;
    font-weight: bold;
    border-bottom: 1px solid #ddd;
}
.modal-body{
    padding:15px 10px;
    max-height: 600px;
}
.modal-mask {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 100;
    display: none;
    justify-content: center;
    align-items: center;
}

.icon-close {
    color: #666;
    display: inline-flex;
    line-height: 18px;
    cursor: pointer;
    float: right;
}
.icon-close::after {
    content: '';
    background-image: url(../images/index_footer_close.png);
    display: inline-block;
    height: 18px;
    width: 18px;
    background-size: 100% 100%;
    margin-left: 3px;
}

.address-item,
.invoice-item {
    margin:0 10px 20px 10px;
    padding:15px;
    border-radius: 15px;
    border: 1px solid #fff;
    background-color: #fff;
    line-height: 24px;
    color:#666;
    cursor: pointer;
}
#postAddress div:first-child,
.address-item div:first-child{
    font-size: 14px;
    font-weight: bold;
    color:#333;
}
.invoice-item div:last-child,
.address-item div:last-child {
    text-align: right;
}
.invoice-item span,
.address-item span {
    margin-right: 5px;
}
.invoice-item a,
.address-item a {
    margin-left: 10px;
    display: inline-block;
    background-color: #eee;
    padding:2px 8px;
    border-radius: 8px;
}
.location-city-list,
.location-item-list {
    overflow-y: auto;
    height: 100%;
    display: inline-block;
}
.location-city-list{
    width:80px;
}
.location-city-list a{
    display: block;
    font-size: 16px;
    padding-bottom:35px;
}
.location-city-list>.active{
    font-weight: bold;
}
.location-city-item>.active,
.address-item-list>.active {
    border:2px solid #E93524;
    background-color: #FFDBD8;
}


.location-item-list{
    width:calc(100% - 85px);
    margin: 0;
}
.location-city-item {
    padding:0 10px;
}
.location-item-list ul{
    background-color: #fff;
    margin-bottom:20px;
    border-radius: 15px;
    padding: 10px;
}
.location-item-city {
    padding-left:5px;
    font-size: 16px;
    padding-bottom: 15px;
}
.location-item-list li {
    padding:5px;
    display: flex;
}
.location-item-list li:first-child{
    font-weight: bold;
    color: #000;
}
.location-item-attr{
    width: calc(100% - 20px);
    display: inline-block;
    margin-left:2px;
}
.location-address{
    color: #666;
}
.location-address::before{
    content: '';
    width: 18px;
    height: 18px;
    display: inline-block;
    background: url(/statics/wxapp_wifi/images//mall/icon-position.png) no-repeat;
    background-size: 100%;
}
.location-opentime{
    color: #E93524;
}
.location-opentime::before {
    content: '';
    width: 18px;
    height: 18px;
    display: inline-block;
    background: url(/statics/wxapp_wifi/images//mall/icon-clock.png) no-repeat;
    background-size: 90%;
}
.location-phone::before {
    content: '';
    width: 18px;
    height: 18px;
    display: inline-block;
    background: url(/statics/wxapp_wifi/images//mall/icon-phone.png) no-repeat;
    background-size: 100%;
}



#toast {
    position: fixed;
    top:25%;
    left:20%;
    right:20%;
    max-width:640px;
    margin: 0 auto;
    text-align: center;
    z-index: 9999;
}
#toast .toast-msg span{
    display: inline-flex;
    font-size: 14px;
    background: rgba(0, 0, 0, 0.9);
    color: #fff;
    padding-left: 20px;
    line-height: 36px;
    border-radius: 8px;
}
#toast .toast-msg {
    margin:0 auto;
    text-align: center;
    margin-bottom: 10px;
}

#confirmOverlay {
    z-index: 9999;
}
.confirm-box {
    background: white;
    border-radius: 12px;
    width:80%;
    max-width: 300px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    text-align: center;
    overflow: hidden;
}
.confirm-message {
    font-size: 16px;
    color: #999;
    padding:30px;
}
.confirm-buttons {
    display: flex;
    border-top: 1px solid #eee;
}
.confirm-btn {
    width:100%;
    border: none;
    cursor: pointer;
    font-size: 16px;
    padding:15px 0;
    background-color: #fafafa;
}
.confirm-ok {
    color: #007aff;
}
.confirm-cancel {
    border-right: 1px solid #eee;
}

.invoice-title-type {
    display: inline-block;
    font-size: 12px;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 0px 3px;
    line-height: 20px;
    background-color: #eee;
}
.invoice-title-type+span{
    font-weight: bold;
}
.amount-item{
    border-bottom: none;
    padding:0 15px 5px 15px
}
.amount-item .amount{
    color:#666;
}
.modal-item img{
    width:100%;
    display: block;
}
.location-phone>div>a {
    color: #00f;
    margin-left:5px;
}
.location-phone>div>a:first-child{
    margin-left: 0;
}